aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/bin/board_detect
diff options
context:
space:
mode:
authorJames <>2015-11-04 11:49:21 +0000
committerJames <>2015-11-04 11:49:21 +0000
commit716ca530e1c4515d8683c9d5be3d56b301758b66 (patch)
tree700eb5bcc1a462a5f21dcec15ce7c97ecfefa772 /package/base-files/files/bin/board_detect
downloadtrunk-47381-master.tar.gz
trunk-47381-master.tar.bz2
trunk-47381-master.zip
trunk-47381HEADmaster
Diffstat (limited to 'package/base-files/files/bin/board_detect')
-rwxr-xr-xpackage/base-files/files/bin/board_detect14
1 files changed, 14 insertions, 0 deletions
diff --git a/package/base-files/files/bin/board_detect b/package/base-files/files/bin/board_detect
new file mode 100755
index 0000000..ee04b9e
--- /dev/null
+++ b/package/base-files/files/bin/board_detect
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+[ -d "/etc/board.d/" -a ! -f "/etc/board.json" ] && {
+ for a in `ls /etc/board.d/*`; do
+ [ -x $a ] || continue;
+ $(. $a)
+ done
+}
+
+[ -f "/etc/board.json" ] || return 1
+[ -f "/etc/config/network" ] || {
+ touch /etc/config/network
+ /bin/config_generate
+}